All mods are out of date with my phbb version how come?

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Anti-Spam Guide
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
Sweeney
Registered User
Posts: 20
Joined: Mon Apr 29, 2013 2:53 pm

All mods are out of date with my phbb version how come?

Post by Sweeney » Tue Apr 30, 2013 5:21 pm

I have a fresh install of phbb 3.0.11 and i added it last week to my server and i have installed automod and a few themes plus loads of mods i have downloaded from here (some dated as recently as last week)
but when i upload them into automod they do so without a problem but then i get the message (attached) when i try to install them (the image is just a sample it is the same for any mod i add just different mod names)

is phpbb version 3.0.11 too fresh or something and the modders haven't updated their mods yet or am i doing something wrong?

i don't remember this hassle 5 year ago when i ran a few forums everything just worked maybe with a tweak or two but its harsh these days and i thought phpbb3 was supposed to be the thorn in facebooks side!!!!
Attachments
ups_error.png
ups_error.png (41.4 KiB) Viewed 578 times

User avatar
Brf
Support Team Member
Support Team Member
Posts: 51870
Joined: Tue May 10, 2005 7:47 pm
Location: {postrow.POSTER_FROM}
Contact:

Re: All mods are out of date with my phbb version how come?

Post by Brf » Tue Apr 30, 2013 5:40 pm

The page you download each mod from will tell you what phpBB version it was written for.

Sweeney
Registered User
Posts: 20
Joined: Mon Apr 29, 2013 2:53 pm

Re: All mods are out of date with my phbb version how come?

Post by Sweeney » Tue Apr 30, 2013 6:21 pm

some are for version 3.0.11 i have just tried installing another mod and this is the screen cap

also i have managed to install a few that were written for different versions of phbb3 ignoring the warnings and they install correctly but i know these may screw up later but some just flat refuse to install stating could not copy files but for now the board is just for admin to get used to it and for us to fill it with content

all i want is a points system ,medal system, and a few additions to the way people post stuff with a nice wysiwyg editor that removes the coding from the editor area but still does the cool editing tricks like font size and adding coloured writing ...any help or links in the right direction would be brilliant
Attachments
huh.png
huh.png (43.16 KiB) Viewed 560 times

User avatar
Jessica
Former Team Member
Posts: 4342
Joined: Sun Jul 18, 2010 2:53 pm
Location: Pennsylvania, USA
Name: Jessica
Contact:

Re: All mods are out of date with my phbb version how come?

Post by Jessica » Tue Apr 30, 2013 7:48 pm

Most mods should work on 3.0.11 even though they aren't updated for that version (I have a ton of mods that haven't really been updated for the latest version and they work fine). If you're still unsure, you can always ask in the mod support area
Pro-choice, Atheist, Pro-LGBT rights
Everybody is a genius. But if you judge a fish by its ability to climb a tree, it will live its whole life believing that it is stupid. - Albert Einstein

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: All mods are out of date with my phbb version how come?

Post by Oyabun1 » Tue Apr 30, 2013 10:39 pm

Replace your AutoMOD files with a new set downloaded from here. There may be some problem with your current ones because it shouldn't give a warning when the versions match.
Sweeney wrote:all i want is a points system ,medal system, and a few additions to the way people post stuff with a nice wysiwyg editor that removes the coding from the editor area but still does the cool editing tricks like font size and adding coloured writing ...any help or links in the right direction would be brilliant
Make a search of the Modification database.
Jessica wrote:Most mods should work on 3.0.11 even though they aren't updated for that version ... If you're still unsure, you can always ask in the mod support area
But, first check the existing topics there because often there will already be topics about whether it works or not for particular phpBB versions.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

Sweeney
Registered User
Posts: 20
Joined: Mon Apr 29, 2013 2:53 pm

Re: All mods are out of date with my phbb version how come?

Post by Sweeney » Wed May 01, 2013 7:28 am

most of the mods are from here and i have downloaded all the 3.0.11 versions i could find but they are hit and miss ... what is causing the conflict? is it a server issue maybe?

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: All mods are out of date with my phbb version how come?

Post by Oyabun1 » Wed May 01, 2013 7:31 am

Oyabun1 wrote:Replace your AutoMOD files with a new set downloaded from here. There may be some problem with your current ones because it shouldn't give a warning when the versions match.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

Sweeney
Registered User
Posts: 20
Joined: Mon Apr 29, 2013 2:53 pm

Re: All mods are out of date with my phbb version how come?

Post by Sweeney » Wed May 01, 2013 9:23 am

Oyabun1 wrote:
Oyabun1 wrote:Replace your AutoMOD files with a new set downloaded from here. There may be some problem with your current ones because it shouldn't give a warning when the versions match.

you mean the actual automod files themselves? then uninstall the automod currently on my server and reinstall the automod from this site?

if so that is what i did i got the automod from here to begin with but i will do a full flush and purge the cache before installing again

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: All mods are out of date with my phbb version how come?

Post by Oyabun1 » Wed May 01, 2013 9:49 am

If you have the latest AutoMOD version (1.0.2) then just replace the existing AutoMOD files with a fresh copy (don't upload the install folder because it will not be needed). I'm only suggesting this because your AutoMOD installation seems to have a problem and it may be that one or more files was corrupted when originally transferred.

You a proper FTP client, such as FileZilla, to transfer the files.
                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

Sweeney
Registered User
Posts: 20
Joined: Mon Apr 29, 2013 2:53 pm

Re: All mods are out of date with my phbb version how come?

Post by Sweeney » Wed May 01, 2013 1:42 pm

Thanks i will try that now ill uninstall all mods too then replace the automod files (i only have a few mods on so wont be a bother)

I use filezilla have done for the last 10 years or so

i run a few websites and build them but usually they are just basic wordpress or joomla sites apart from one or 2 and i have been asked to set up a phpbb for another site i co own and the last time i was admin on one was 5-7 years ago and most of the mods and tools were already installed ,i want to do this one from the ground up and hopefully give these so called social sites a run for their money we have the tools and the people power all we need now is me to try do some magic

Locked

Return to “[3.0.x] Support Forum”